anonymous Log in
Search
Recents:
v3.0
csharp-l
publicar app na apple store
27/11/19 14:57

pmazzilli

Replies: 1

Marcos. bom dia.
O suporte para Xcode 11.2 está sendo incluído no próximo upgrade de GeneXus
(Upgrade 7), já que essa versão do Xcode foi liberada no passado 31 de
outubro, posterior à liberação do Upgrade 6 de GeneXus.
Xcode 11.2 inclui uma nova versão do Swift 5.1.2 que não é compatível com
versões anteriores. Ver iOS Requirements
<https://wiki.genexus.com/commwiki/servlet/wiki?19478,iOS+Requirements,>.
Então teria que instalar a versão 11.1 do Xcode (pode pegá-la desde
developer.apple.com <https://developer.apple.com/download/more/>.) ou
descarregar o preview do upgrade 7
<https://www.genexus.com/es/developers/downloadcenter?data=4978;;> (ainda
não liberado) que já tem suporte para Xcode 11.2.
Atenciosamente
Pablo
On Wed, Nov 27, 2019 at 11:01 AM Marcos Fabricio Corso <
marcos.corso@grupoabl.com.br> wrote:
> bom dia
>
> estou com dificuldades para publicar uma atualização do meu app na loja da
> apple
>
> use gx 16 u6
>
> quando gero para o xcode (11.2.1) com as lib's padrão do xcode, gera erro
> quando dou o "build", falando para utilizar a lib "swift 5.0.1"
>
> ai baixei essa lib (toolchain swift 5.0.1) e instalei no xcode, consigo
> fazer o build no xcode, mas na hora do "archive", mostra erro no xcode que
> tenho que usar a lib padrão do xcode, não a swift 5.0.1
>
> segue anexo as telas
> alguma sugestão
>
> obrigado
>
>
>
>
> --
> [image: Grupo ABL] *Marcos Fabricio Corso*
> Analista de Sistemas
> TI
> +55 (41) 3078-4747
> ------------------------------
> *Grupo ABL* - www.grupoabl.com.br
> Curitiba/PR - R. Augusto Stresser, 453, Alto da Glória
>
-----------------------------------------
Para Suscribirse/Desuscribirse:
http://www.gxtechnical.com/cgi-bin/hforum.exe?2,3,30,11
Por consultas owner-csharp-l@gxtech.com.uy
Replies

mcorso

27/11/19 16:21
ok obrigado Pablo Em qua., 27 de nov. de 2019 às 11:58, Pablo Mazzilli escreveu: > Marcos. bom dia. > > O suporte para Xcode 11.2 está sendo incluído no próximo upgrade de > GeneXus (Upgrade 7), já que essa versão do Xcode foi liberada no passado > 31 de outubro, posterior à liberação do Upgrade 6 de GeneXus. > > Xcode 11.2 inclui uma nova versão do Swift 5.1.2 que não é compatível com > versões anteriores. Ver iOS Requirements > . > > Então teria que instalar a versão 11.1 do Xcode (pode pegá-la desde > developer.apple.com .) ou > descarregar o preview do upgrade 7 > (ainda > não liberado) que já tem suporte para Xcode 11.2. > > Atenciosamente > Pablo > > > On Wed, Nov 27, 2019 at 11:01 AM Marcos Fabricio Corso < > marcos.corso@grupoabl.com.br>


Back to csharp-l